import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import Mathd;

public class H3OD1_2000 extends JApplet implements ActionListener
{
 double a;
 double b;
 JLabel s1;
 JTextField t1;
 JLabel s2;
 JTextField t2;
 JTextArea cikti;
    // JApplet başlatma metodu init
	public void init()
	{

	//Grafik kutusu tanımla
	Container c=getContentPane();
	c.setLayout(new FlowLayout());
	//grafik kutusunun arka plan rengini oku
	Color renk=c.getBackground();
	 // yazı başlıklarını tanımla
	s1=new JLabel("Derece cinsinden açıyı giriniz : ");
    s2=new JLabel("0 ile 1 arasında arc   giriniz : ");
    //yazı başlığının rengini oku
    Color renk1=s1.getForeground();
	//yazı başlığının font (yazı sitilini) oku
	Font f=s1.getFont();
	 // girdikutularını tanımla
	t1=new JTextField(15);
	t2=new JTextField(15);
	cikti=new JTextArea();
	  // girdi kutularının yazma rengini
	  // yazı başlığının rengine ayarla
	  // girdi kutularının arka plan rengini
	  // grafik kutusunun arkaplan rengine ayarla
	t1.setBackground(renk);
    t1.setForeground(renk1);
    t2.setBackground(renk);
    t2.setForeground(renk1);
     // girdi kutularının yazı sitilini
     // yazı başlıklarının yazı sitiline ayarla
    t1.setFont(f);
    t2.setFont(f);
	cikti.setBackground(renk);
    cikti.setForeground(renk1);
	cikti.setFont(f);
	c.add(s1);
	c.add(t1);
	c.add(s2);
	c.add(t2);
	c.add(cikti);
	// ctrl return basıldığında
	// actionPerformed metodunu çalıştır
    t1.addActionListener(this);
    t2.addActionListener(this);
	}

	public void actionPerformed(ActionEvent e)
	{
	    // Girdi kutularından a ve b değerlerini oku
	    a=Double.parseDouble(t1.getText());
        b=Double.parseDouble(t2.getText());
        t1.setText("");
        t2.setText("");
        // çıktı s Stringini kutusuna yazdır
        String s="trigonometrik fonksiyonların derece cinsinden yazılmış hali\n";
        s+="sin("+a+") : " + Mathd.sind(a)+"\n";
	    s+="cos("+a+") : " + Mathd.cosd(a)+"\n";
	    s+="tan("+a+") : " + Mathd.tand(a)+"\n";
  	    s+="asin("+b+"): " + Mathd.asind(b)+"\n";
  	    s+="acos("+b+"): " + Mathd.acosd(b)+"\n";
  	    s+="atan("+b+"): " + Mathd.atand(b)+"\n";
  	    cikti.setText(s);
	    repaint();
	}


 }
